function extract_data_fun(sattelite, year, month, type_sensor)
foldername=['DATA/f' num2str(sattelite) '/' type_sensor '/' num2str_new(year,4) '/' num2str_new(month,2)];
target=ls(foldername);
[str row]=size(target);
for i=1:str
    if target(i,end-2:end)=='.html'
        message=['Найден повреждённый файл:',target(i,:),'\n'];
        fprintf(message);
        delete([foldername,'/',target(i,:)]);
        message=['Удалён\n'];
        fprintf(message);
    end
end
for i=1:str
    if target(i,end-2:end)=='.gz'
        message=['Распаковка:',target(i,:),'\n'];
        fprintf(message);
        gunzip([foldername,'/',target(i,:)],foldername);
        message=['Распакован\n'];
        fprintf(message);
    end
end
end